org.jboss.resteasy.security.doseta

## Class ServerDigitalSigningHeaderDecoratorFeature.DigitalSigningHeaderDecorator

- java.lang.Object
- - org.jboss.resteasy.security.doseta.AbstractDigitalSigningHeaderDecorator
  - - org.jboss.resteasy.security.doseta.ServerDigitalSigningHeaderDecoratorFeature.DigitalSigningHeaderDecorator

- All Implemented Interfaces:
    ContainerResponseFilter
  Enclosing class:
    ServerDigitalSigningHeaderDecoratorFeature

      public static class ServerDigitalSigningHeaderDecoratorFeature.DigitalSigningHeaderDecorator
      extends AbstractDigitalSigningHeaderDecorator
      implements ContainerResponseFilter

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.jboss.resteasy.security.doseta.AbstractDigitalSigningHeaderDecorator

      `signed`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerDigitalSigningHeaderDecoratorFeature.DigitalSigningHeaderDecorator(Signed signed)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `filter(ContainerRequestContext requestContext, ContainerResponseContext responseContext)` Filter method called after a response has been provided for a request (either by a `request filter` or by a matched resource method.

    - ### Methods inherited from class org.jboss.resteasy.security.doseta.AbstractDigitalSigningHeaderDecorator

      `createHeader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServerDigitalSigningHeaderDecoratorFeature.DigitalSigningHeaderDecorator

          public ServerDigitalSigningHeaderDecoratorFeature.DigitalSigningHeaderDecorator(Signed signed)

  - ### Method Detail

    - #### filter

          public void filter(ContainerRequestContext requestContext,
                    ContainerResponseContext responseContext)
                      throws IOException

      Description copied from interface: `ContainerResponseFilter`
      Filter method called after a response has been provided for a request (either by a `request filter` or by a matched resource method.

      Filters in the filter chain are ordered according to their `javax.annotation.Priority` class-level annotation value.

      Specified by:
        `filter` in interface `ContainerResponseFilter`
      Parameters:
        `requestContext` - request context.
        `responseContext` - response context.
      Throws:
        `IOException` - if an I/O exception occurs.

Copyright © 2014. All Rights Reserved.